summaryrefslogtreecommitdiff
path: root/darkman/background.sh
diff options
context:
space:
mode:
Diffstat (limited to 'darkman/background.sh')
-rwxr-xr-xdarkman/background.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/darkman/background.sh b/darkman/background.sh
new file mode 100755
index 0000000..69c9a44
--- /dev/null
+++ b/darkman/background.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+case "$1" in
+dark) FN=/home/tslil/media/pictures/df.png ;;
+light) FN=/home/tslil/media/pictures/df_light.png ;;
+default) exit 1 ;;
+esac
+
+WAYLAND_DISPLAY=wayland-1 awww img $FN --resize crop --transition-type none
+# killall swaybg
+# WAYLAND_DISPLAY=wayland-1 swaybg -i $FN -m fill &